# プライバシー

プライバシーおよびデータ保護（GDPRスタイル）の管理 — 同意、データエクスポート、アカウント削除リクエストなど。

これらの設定には、**管理 > 設定 > プライバシー** からアクセスできます。このカテゴリには **6つの設定** が含まれており、以下にプラットフォームの設定フィクスチャ（`SettingsCurrentFixtures.php`）に含まれるタイトルとコメントを記載しています。

> コード内の変数名は等幅フォントで表示されています。APIを通じてスクリプトを作成する場合や、[`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml) を編集してこれらの設定をグローバルレベルで変更する必要がある場合に使用してください。

## 設定

### `data_protection_officer_email`

**データ保護責任者のメールアドレス**

GDPR/プライバシーセクションに表示される、指定されたデータ保護責任者のメールアドレス。

### `data_protection_officer_name`

**データ保護責任者の名前**

個人データおよびプライバシーページに表示される、指定されたデータ保護責任者のフルネーム。

### `data_protection_officer_role`

**データ保護責任者の役割**

プライバシー情報に名前と一緒に表示される、指定されたデータ保護責任者の職名または役割。

### `disable_change_user_visibility_for_public_courses`

**公開コースでのツールユーザーの可視化を無効にする**

公開コースで「ユーザー」ツールを誰かが可視化することを防ぎます。

*デフォルト: `true`*

### `disable_gdpr`

**GDPR機能を無効にする**

すでに他の場所で個人データ保護宣言をユーザーに管理している場合、この機能を安全に無効にすることができます。

*デフォルト: `true`*

### `hide_user_field_from_list`

**コース内のユーザーリストからフィールドを非表示にする**

デフォルトでは、コース内のユーザーツールにユーザーのすべてのデータが表示されます。この配列を使用すると、表示したくないフィールドを指定できます。メインフィールドにのみ影響し、追加フィールドには影響しません。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/2.x-ja/gaido-1/admin-guide/platform-settings/privacy-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
